import { Serializable } from '../interfaces/serializable.interface';
import { EntitySerializerOptions } from '../interceptors/entity-serializer.interceptor';
import { ResourceIdentifierObject, ResourceObject } from '../interfaces/document.interface';
export declare class ResourceSerializer<T extends Serializable> {
    private options;
    constructor(options: EntitySerializerOptions<T>);
    parseOne(resource: T): ResourceObject<T> | ResourceIdentifierObject<T> | null;
    parseMany(resources: T[]): ResourceObject<T>[] | ResourceIdentifierObject<T>[] | [];
    private contextEntity;
    private contextOneToOne;
    private contextOneToMany;
}
//# sourceMappingURL=resource.serializer.d.ts.map