import 'reflect-metadata';

export type EntityOptions = {
  name: string;
}

export const Entity = (options: EntityOptions): ClassDecorator => {
  return (target: Object) => {
    Reflect.defineMetadata('JSONAPI_ENTITY', options, target);
  };
};